// ID_VH.H

/*
#define WHITE			15	// graphics mode independant colors
#define BLACK			0
#define SECONDCOLOR		12
*/
//===========================================================================

typedef struct
{
	unsigned short width, height;
} pictabletype;

typedef struct
{
	unsigned short height;
	unsigned short location[256];
	char width[256];
} fontstruct;

//===========================================================================

extern	pictabletype	*pictable;
extern	int	fontnumber;
extern	int	px,py;

//
// Double buffer management routines
//
/*
void VW_UpdateScreen();

// mode independant routines
// coordinates in pixels, rounded to best screen res
// regions marked in double buffer

void VWB_DrawTile8 (int x, int y, int tile);
void VWB_DrawPic (int x, int y, int chunknum);
*/

//
// wolfenstein EGA compatability stuff
//
extern byte* gamepal;

#define VW_SetScreen	VL_SetScreen
#define VW_Bar			VL_Bar
#define VW_Plot			VL_Plot
#define VW_Hlin(x,z,y,c)	VL_Hlin(x,y,(z)-(x)+1,c)
#define VW_ColorBorder	VL_ColorBorder
#define VW_WaitVBL		VL_WaitVBL
#define VW_FadeIn()		VL_FadeIn(0,255,gamepal,30);
#define VW_FadeOut()	VL_FadeOut(0,255,0,0,0,30);
#define VW_ScreenToScreen	VL_ScreenToScreen
void	VW_MeasurePropString (char *string, word *width, word *height);
/*

#define LatchDrawChar(x,y,p) VL_LatchToScreen(latchpics[0]+(p)*16,2,8,x,y)

void LatchDrawPic (unsigned short x, unsigned short y, unsigned short picnum);
*/
void LoadLatchMem();
/*wbool 	FizzleFade (unsigned short source, unsigned short dest,
	unsigned short width,unsigned short height, unsigned short frames,wbool abortable);
*/

#define NUMLATCHPICS	100
extern	unsigned long latchpics[NUMLATCHPICS];
extern	unsigned long freelatch;
