#ifndef _CONSOLE_H_
#define _CONSOLE_H_

typedef enum
{
	cvar_float, cvar_int
} cvar_e;

typedef struct 
{
	char name[16];
	void (*func)();
} command_t;

typedef struct 
{
	char name[16];
	cvar_e type;
	void* value;
} cvar_t;

void Con_Init();
void Con_Draw();
int Con_Key(int key);

#endif // _CONSOLE_H_
