// ID_CA.H
//===========================================================================

#define NUMMAPS		60
#define MAPPLANES	2

#define UNCACHEGRCHUNK(chunk)	{MM_FreePtr(&grsegs[chunk]);grneeded[chunk]&=~ca_levelbit;}

//===========================================================================

typedef	struct
{
	long planestart[3];
	word planelength[3];
	word width, height;
	char name[16];
} maptype;

//===========================================================================

extern	char	audioname[13];

extern	byte 	*tinf;
extern	int		mapon;

extern	word	*mapsegs[MAPPLANES];
extern	maptype	*mapheaderseg[NUMMAPS];
extern	byte	*audiosegs[NUMSNDCHUNKS];
extern	void	*grsegs[NUMCHUNKS];

extern	byte	grneeded[NUMCHUNKS];
extern	byte	ca_levelbit, ca_levelnum;

extern	FILE	*profilehandle;

extern	char	extension[5];

/*
extern long	*grstarts;		// array of offsets in egagraph, -1 for sparse
extern long	*audiostarts;	// array of offsets in audio / audiot

//===========================================================================
*/

wbool CA_FarRead(FILE* handle, byte *dest, long length);
wbool CA_FarWrite(FILE* handle, byte *source, long length);
wbool CA_LoadFile(char *filename, memptr *ptr);
wbool CA_WriteFile(char *filename, void *ptr, long length);

void CA_Startup();
void CA_Shutdown();

void CA_CacheAudioChunk(int chunk);
void CA_LoadAllSounds();

void CA_UpLevel();
void CA_DownLevel();

void CA_SetAllPurge();

void CA_ClearMarks();
void CA_ClearAllMarks();

#define CA_MarkGrChunk(chunk)	grneeded[chunk]|=ca_levelbit

void CA_CacheGrChunk(int chunk);
void CA_CacheMap(int mapnum);

void CA_CacheMarks();
/*
void CA_CacheScreen (int chunk);
*/
