// ID_MM.H

#ifndef __ID_CA__
#define __ID_CA__

#define	BUFFERSIZE	0x1000
	// miscelanious, allways available buffer
#define MAXBLOCKS	800

//==========================================================================

typedef void* memptr;

typedef struct
{
	long nearheap, mainmem;
} mminfotype;

//==========================================================================

extern	mminfotype	mminfo;
extern	memptr		bufferseg;
extern	wbool		mmerror;

extern	void (*beforesort)(void);
extern	void (*aftersort)(void);

//==========================================================================

void MM_Startup();
void MM_Shutdown();
void MM_GetPtr(memptr *baseptr,unsigned long size);
void MM_FreePtr(memptr *baseptr);

void MM_SetPurge(memptr *baseptr, int purge);
void MM_SetLock(memptr *baseptr, wbool locked);
void MM_SortMem();
/*
void MM_ShowMemory (void);

long MM_UnusedMemory (void);
long MM_TotalFree (void);
*/
void MM_BombOnError (wbool bomb);

#endif
