//
//	ID Engine
//	ID_US.h - Header file for the User Manager
//	v1.0d1
//	By Jason Blochowiak
//

#ifndef	__ID_US__
#define	__ID_US__

#ifdef	__DEBUG__
#define	__DEBUG_UserMgr__
#endif
/*
#define	MaxX	320
#define	MaxY	200
*/
#define	MaxHighName	57
#define	MaxScores	7
typedef	struct
{
	char	name[MaxHighName + 1];
	long	score;
	word	completed, episode;
} HighScore;

#define	MaxGameName		32
typedef	struct
{
	char	signature[4];
	word	*oldtest;
	wbool	present;
	char	name[MaxGameName + 1];
} SaveGame;

#define	MaxString	128	// Maximum input string size
/*
typedef	struct
		{
			int	x,y,
				w,h,
				px,py;
		} WindowRec;	// Record used to save & restore screen windows

typedef	enum
		{
			gd_Continue,
			gd_Easy,
			gd_Normal,
			gd_Hard
		} GameDiff;
*/
//	Hack import for TED launch support
extern	wbool		tedlevel;
extern	int			tedlevelnum;

extern	wbool		ingame;		// Set by game code if a game is in progress
extern	wbool		loadedgame;	// Set if the current game was loaded
extern	wbool		NoWait;
/*
extern	char		*abortprogram;	// Set to error msg if program is dying
*/extern	word		PrintX,PrintY;	// Current printing location in the window
extern	word		WindowX,WindowY,// Current location of window
					WindowW,WindowH;// Current size of window

extern	void		(*USL_MeasureString)(char *,word *,word *);

extern	HighScore	Scores[];

void US_Startup();
void US_Shutdown();
void US_InitRndT(wbool randomize);
/*
void 	US_DrawWindow(word x,word y,word w,word h),
				US_CenterWindow(word,word),
				US_SaveWindow(WindowRec *win),
				US_RestoreWindow(WindowRec *win),
				US_ClearWindow(void),
				US_PrintCentered(char *s),
*/void US_CPrint(char *s);
void US_CPrintLine(char *s);
void US_Print(char *s);
void US_PrintUnsigned(longword n);

wbool US_LineInput(int x,int y,char *buf,char *def,wbool escok, int maxchars,int maxwidth, void (*draw)());

int		US_CheckParm(char *parm, char **strings);
int		US_RndT();
/*
void	USL_PrintInCenter(char *s,Rect r);
*/
#endif
