#ifdef _WINDOWS
#define WIN32_LEAN_AND_MEAN
#include <windows.h>
#endif

#include <GL/gl.h>
#include <GL/glu.h>

void GL_Startup();
void GL_Shutdown();

void GL_FadeIn(int red, int green, int blue, int steps, void (*func)());
void GL_FadeOut(int red, int green, int blue, int steps, void (*func)());

void GL_CacheTexture(int chunknum);
void GL_UnCacheTexture(int chunknum);
void GL_DrawTexture(int l, int b, int chunknum);
void GL_DrawPicture(int l, int b, int chunknum);
void GL_DrawLatch(int l, int b, int picnum);
void GL_DrawPropString(char *string);

void GL_Bar(int x, int y, int w, int h, int color);
void GL_Hlin (int x1, int x2, int y, int color);
void GL_Vlin (int y1, int y2, int x, int color);
void GL_Plot (int x, int y, int color);

void GL_CacheScreen(int chunknum, int palette);
void GL_FreeScreen();
void GL_DrawScreen();

void LoadFonts();

extern GLuint* texture_index;
